Package Details: java-swing-joxy-git 432.4dec02d-1

Git Clone URL: https://aur.archlinux.org/java-swing-joxy-git.git (read-only)
Package Base: java-swing-joxy-git
Description: Java Swing Look and Feel theme integrated with KDE Oxygen
Upstream URL: http://joxy.denvelop.nl/
Licenses: GPL3
Submitter: stativ
Maintainer: stativ
Last Packager: stativ
Votes: 7
Popularity: 0.000000
First Submitted: 2012-11-05 11:37
Last Updated: 2015-07-03 18:16

Latest Comments

hagabaka commented on 2013-07-03 23:51

With openjdk, I needed to create a file /usr/lib/jvm/java-7-openjdk/jre/lib/swing.properties containing
swing.defaultlaf=joxy.JoxyLookAndFeel
swing.systemlaf=joxy.JoxyLookAndFeel
swing.installedlafs=metal,nimbus,motif,gtk,joxy
swing.installedlaf.metal.name=Metal
swing.installedlaf.metal.class=javax.swing.plaf.metal.MetalLookAndFeel
swing.installedlaf.nimbus.name=Nimbus
swing.installedlaf.nimbus.class=com.sun.java.swing.plaf.nimbus.NimbusLookAndFeel
swing.installedlaf.motif.name=CDE/Motif
swing.installedlaf.motif.class=com.sun.java.swing.plaf.motif.MotifLookAndFeel
swing.installedlaf.gtk.name=GTK+
swing.installedlaf.gtk.class=com.sun.java.swing.plaf.gtk.GTKLookAndFeel
swing.installedlaf.joxy.name=Joxy
swing.installedlaf.joxy.class=joxy.JoxyLookAndFeel

The contents are from http://www.denvelop.nl/joxy/documentation/usage/ (It says "To do: specific information for Arch" btw.)

It would be nice to include this file and print a post install message for users to install it at the appropriate location, if not automatically do it.

stativ commented on 2013-04-30 12:26

Update for new pacman.

travnick commented on 2013-02-28 22:09

Please fix qt4 dependency.

stativ commented on 2012-11-24 09:02

b9anders: Could you please try the new PKGBUILD? I think I fixed the compilation problem.

b9anders commented on 2012-11-12 16:42

this doesn't compile for openjdk6. The PKGBUILD itself wants /etc/profile.d/jdk.sh which isn't found on the system. Changing it to the equivalent /etc/profile/openjdk6.sh however, and the package still fails to compile with the following output:

int());
^
Note: joxy/JoxyPasswordFieldUI.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
1 error
3 warnings